Subject: Re: bug#58101: 28.2; image-size nonsensical

From: Eli Zaretskii <[email-masked]>
Date: Tue, 27 Sep 2022 09:05:18 +0300

> Date: Mon, 26 Sep 2022 20:41:45 +0200
> From: Thomas Hühn <[email-masked]>
> 
> * Download image https://imgs.xkcd.com/comics/two_key_system_2x.png to
>    disk
> 
> * Run (create-image "two_key_system_2x.png") --> (image :type png :file
>    "two_key_system_2x.png" :scale 1.2038461538461538 :transform-smoothing
>    t)
> 
> * Run (image-size (create-image "two_key_system_2x.png") :pixels) -->
>    (30 . 30)
> 
> Expected result: (1291 . 632)

I cannot reproduce this here.  I get the expected result.  I also get
this result from create-image:

 (image :type png :file "two_key_system_2x.png" :scale 1 :transform-smoothing t)

Is this in "emacs -Q"?  If so, what version of libpng do you have
installed there?  And what happens if you start Emacs like this:

  emacs -Q --eval "(setq w32-use-native-image-API t)"

Thanks.